<?php
include "../conexion.php";
$ajud_id=$_GET['id'];   
$sql=mysqli_query($con, "SELECT * from ajuste_detalle_temp where ajud_id='$ajud_id'");
$row=mysqli_fetch_array($sql); 

$ajud_art_id=$row["ajud_art_id"];
$ajud_cantidad=$row['ajud_cantidad'];
$ajud_tipo=$row['ajud_tipo']; 
?>
<div class="tabbable">
    <ul class="nav nav-tabs">
        <li class="active"><a href="#SERIALES" data-toggle="tab">SERIALES</a> </li>
    <!--    <li><a href="#OTRO" data-toggle="tab">OTRO</a></li> -->
    </ul>
    <div class="tab-content" >
    <div id="resultados_ser"></div> 
        <div class="tab-pane active" id="SERIALES">
            <form role="form" id="seriales_aju" >      
                <div class="col-md-12">
                    <input type="hidden" name="id" value="<?php echo $ajud_id; ?>">
                    <input type="hidden" name="ajud_cantidad" id="ajud_cantidad" value="<?php echo $ajud_cantidad; ?>">
                    <input type="hidden" name="ajud_art_id" id="ajud_art_id" value="<?php echo $ajud_art_id; ?>">
                    <?php
                        $can1=mysqli_query($con,"SELECT * from seriales_articulos where articulos_art_id='$ajud_art_id' and estado='sin vender'") or die(mysqli_error($con)); 
                        $num=mysqli_num_rows($can1);
                        if($num>0)
                        {
                            echo '<label>SERIALES(ES) </label><br>';
                            while ($row=mysqli_fetch_array($can1))
                            {
                        ?>
                            <input type="checkbox" id="<?php echo $row['se_codigo']; ?>"  name="serial[]" value="<?php echo $row['se_codigo']; ?>">
                            <label class="lab" for="<?php echo $row['se_codigo']; ?>"><?php echo $row['se_codigo']; ?></label>
                    <?php   } 
                        }
                    else
                        {
                            echo '<div class="alert alert-success alert-dismissable">
                                    <strong>No Tiene Seriales Registrados!</strong>
                                </div>'; 
                        }
                    ?>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                    <button type="submit" id="ser_aju" class="btn btn-primary">Registrar</button>
                </div>
            </form>
        </div>
<!--
        <div class="tab-pane " id="OTRO">
            <form role="form" id="oseriales" > 
                <input type="hidden" name="id" value="<?php echo $ajud_id; ?>">  
                <input type="hidden" name="ajud_cantidad" id="ajud_cantidad" value="<?php echo $ajud_cantidad; ?>" >   
                <?php $i = 1;
                  while ($i <= $ajud_cantidad) {
                ?>
                <label for="art_nombre" class="control-label">Serial <?php echo $i++; ?> </label>
                <input type="text" class="form-control" name="serial[]" value=""  autocomplete="off" required="">
                <?php } ?>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                    <button type="submit" id="oser" class="btn btn-primary">Registrar</button>
                </div>
                </form>
        </div>
    -->
    </div>  
</div>

<script>
$( "#seriales_aju" ).submit(function( event ) {
$('#ser_aju').attr("disabled", true);
var parametros = $(this).serialize();
$.ajax({
    type: "POST",
    url: "php_ajustes/registrar_serial.php",
    data: parametros,
        beforeSend: function(objeto){
         $('#resultados_ser').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
    success: function(datos){
    $("#resultados_ser").html(datos);
    $('#ser_aju').attr("disabled", false);
    }
  });
 event.preventDefault();
})





/*
$( "#oseriales" ).submit(function( event ) {
$('#oser').attr("disabled", true);
var parametros = $(this).serialize();
$.ajax({
    type: "POST",
    url: "php_traslados_emp/registrar_serial.php",
    data: parametros,
    beforeSend: function(objeto){
     $('#resultados_ser').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
    },
    success: function(datos){
    $("#resultados_ser").html(datos);
    $('#oser').attr("disabled", false);
    }
  });
  event.preventDefault();
})*/
</script>